=== debian/changelog ===
bzip2 (1.0.3-1) unstable; urgency=low

  * Initial Release.

 -- Tapani Palli <tapani.palli@nokia.com>  Wed, 24 May 2006 10:23:06 +0300
