=== debian/changelog ===
bzip2 (1.0.4-2maemo1) diablo; urgency=low

  * Added xml mime info, removed documentation from binary distribution.
  * Disabled the libbz2-1.0 package, since it's locked by
    osso-software-version-rx?4 and can't be installed/upgraded
    (see control.original and rules.original).

 -- Andrew Zabolotny <zap@homelink.ru>  Wed, 30 Jul 2008 02:27:09 +0400

bzip2 (1.0.4-2ubuntu4) hardy; urgency=low

  * SECURITY UPDATE: denial of service via heap memory corruption.
  * bzlib.c, bzlib_private.h: upstream patch from 1.0.5 applied inline.
  * References
    CVE-2008-1372

 -- Kees Cook <kees@ubuntu.com>  Wed, 19 Mar 2008 13:11:42 -0700

bzip2 (1.0.4-2ubuntu3) hardy; urgency=low

  * rebuild to regenerate bzip2.info (LP: #187946)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 14 Mar 2008 19:30:36 +0100

bzip2 (1.0.4-2ubuntu2) hardy; urgency=low

  * debian/rules: don't try to chmod dangling symlinks in the binary
    target, since coreutils now throws an error in this case.  LP: #194449.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Feb 2008 05:27:49 +0000

bzip2 (1.0.4-2ubuntu1) hardy; urgency=low

  * lib32bz2-*: Install into /usr/lib32, instead of /emul; change incorrectly
    dropped in last sync.
  * Set Ubuntu maintainer address.
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Steve Langasek <vorlon@debian.org>  Mon, 07 Jan 2008 13:24:41 -0800

bzip2 (1.0.4-2) unstable; urgency=low

  * lib32bz2-*: install into /emul/ia32-linux. Closes: #458853
  * bzexe: correct path is /bin/bzip2. Closes: #418532
  * debian/copyright: provide a copyright file in source package.
    Closes: #381230

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 05 Jan 2008 11:13:05 +1100

bzip2 (1.0.4-1) unstable; urgency=low

  * Synchronise with Ubuntu. Closes: #456237
  * Bumped Standards-Version to 3.7.3
  * Moved homepage from description to pseudo header field in
    debian/control
  * Improved cross-building. Closes: #445036
  * Removed debian/rules.orig
  * Fixed the following lintian messages:
    - W: bzip2 source: debian-rules-ignores-make-clean-error line 90
    - W: bzip2 source: substvar-source-version-is-deprecated libbz2-dev
    - W: bzip2 source: substvar-source-version-is-deprecated bzip2
    - W: bzip2 source: substvar-source-version-is-deprecated lib64bz2-dev
    - W: bzip2 source: substvar-source-version-is-deprecated lib32bz2-dev

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 23 Dec 2007 21:56:32 +1100

bzip2 (1.0.4-0ubuntu2) gutsy; urgency=low

  * Move the user manual in texinfo and ps format into bzip2-doc.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 05 Oct 2007 14:05:39 +0200

bzip2 (1.0.4-0ubuntu1) gutsy; urgency=low

  * New upstream version.
    - Fix file permissions race problem (CAN-2005-0953).
    - Sanitise file names more carefully in bzgrep.  Fixes CAN-2005-0758
      to the extent that applies to bzgrep.
  * lib32bz2-*: Install into /usr/lib32, instead of /emul.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Tue,  3 Jul 2007 12:35:47 +0200

bzip2 (1.0.3-7) unstable; urgency=low

  * Updated Build-depends, added gcc-multilib to fix FTBFS. Thanks to 
    "brian m. carlson" <sandals@crustytoothpaste.ath.cx>. (Closes: #422380)

 -- Santiago Ruano Rincón <santiago@debian.org>  Sun,  6 May 2007 00:34:43 -0500

bzip2 (1.0.3-6) unstable; urgency=low

  * Fixed ppc64 Build-Depends, added Build-Depends on 'libc6-dev-powerpc
    [ppc64]' in control. Patch by Andreas Jochens <aj@andaco.de>. (Closes: #384610)

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 25 Aug 2006 11:56:44 -0500

bzip2 (1.0.3-5) unstable; urgency=low

  * 32-bit libraries installed in /usr/lib32 instead of 
    /emul/ia32-linux/usr/lib on ppc64. Patch by Andreas Jochens <aj@andaco.de> 
    (Closes: #384284)
  * Fixed doc-base control file, added Index: value for "info" format.
    (Closes: #377184)

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 23 Aug 2006 12:31:02 -0500

bzip2 (1.0.3-4) unstable; urgency=low

  * The file of lib32bz2-1.0 and lib32bz2-dev are installed into 
    /emul/ia32-linux/usr/lib, not /usr/lib32. (Closes: #379858)

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue,  8 Aug 2006 21:22:51 -0500

bzip2 (1.0.3-3) unstable; urgency=low

  * Updated co-maintainer mail address.
  * Set Standards-Version to 3.7.2.
  * Fixed "bzip2: Bug in bzgrep, with fix", closes: #374168.
  * Fixed "Superfluous symlinks in /usr", closes: #375285.
  * Fixed lintian doc-base-file-unknown-format message.
  * Synchronise with Ubuntu.
    - Fixed "build dependency ia32-libs-dev [amd64] -> libc6-dev-i386
      [amd64]", closes: #357271.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 05 Jul 2006 20:31:25 +1000

bzip2 (1.0.3-2ubuntu1) edgy; urgency=low

  * Synchronize to Debian; apply the remaining Ubuntu changes to pristine
    Debian version, since the current diffs were way too messy.
  * debian/rules:
    - Enable 32 bit libraries on amd64.
    - Do not use ia32-libs as alternative shlibs.
  * debian/control: Drop alternate build-dep on ia32-libs-dev.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 28 Jun 2006 10:31:59 +0200

bzip2 (1.0.3-2) unstable; urgency=low

  * Fixed "upgrading fails", closes: #348266. Patches by Paul Brook
    <paul@nowt.org> and Paul Wise <pabs3@bonedaddy.net>.
  * Replaces amd64-libs and amd64-libs-dev versions << 1.5.
  
 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 16 Jan 2006 14:37:38 +1100

bzip2 (1.0.3-0ubuntu1) dapper; urgency=low

  * New upstream version.
  * Synchronise with Debian unstable.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2005 00:59:50 +0100

bzip2 (1.0.2-11) unstable; urgency=low

  * Fixed "Would be nice if it was installed in /bin (and /lib)",
    closes: #140157.
  * Fixed "The --color option can't be used by bzgrep", closes:
    #316028.
  * Fixed "libbz2-1.0 suggests libbz2-dev without a good reason",
    closes: #333524.


