=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for building the Debian GNU/Linux package bzip2.
# Copyright (C) 1999, 2000, 2001, 2002 Philippe Troin
# Copyright (C) 2004-2007 Anibal Monsalve Salazar <anibal@debian.org>

SHELL = /bin/bash
package = bzip2

testdir=test -x debian/rules && test -f bzip2.c
testroot=test "`id -nu`" = root

# In Maemo we don't need any docs, they will be docpurge'd anyway
__NO_DOCS_PLEASE__ = 1
__NO_LIBS_PLEASE__ = 1

DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS	:= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
        CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
        CC=$(DEB_HOST_GNU_TYPE)-gcc
else
        CROSS=CC=gcc
        CC=gcc
endif

DEBCFLAGS:=
DEBSTRIP:=strip
WGET=wget
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
DEBCFLAGS += -g
endif
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
DEBSTRIP:=:
endif

DEBVERSION:=$(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/-[0-9.]*$$//')

#ifneq (,$(findstring /$(DEB_HOST_ARCH)/,/i386/powerpc/sparc/s390/))
#	build64-stamp := build64-stamp
#	CC64=$(CC) -m64
#endif
#ifeq ($(DEB_HOST_ARCH),i386)
#	CC64 += -march=x86-64 -mtune=x86-64
#endif
#ifneq (,$(findstring /$(DEB_HOST_ARCH)/,/amd64/ppc64/))
#	build32-stamp := build32-stamp
#	lib32 := usr/lib32
#endif

build: build-stamp $(build32-stamp) $(build64-stamp)
build-stamp:
	$(testdir)
	# Add here commands to compile the package.
	$(MAKE) DEBCFLAGS="$(DEBCFLAGS)"
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	$(MAKE) DEBCFLAGS="$(DEBCFLAGS)" test
endif
ifndef __NO_DOCS_PLEASE__
	makeinfo -o bzip2.info manual.texi
	cat debian/copyright.in LICENSE > debian/copyright
endif
	touch build-stamp

# requires: docbook-xml docbook2x
manual.texi: manual.xml
	docbook2x-texi --to-stdout manual.xml | \
	awk '/^@direntry/,/^@end direntry/ {if ($$0 !~ /@/) {print "* Bzip2: (bzip2).               A program and library for data compression."; next}} {print}' > manual.texi

build32: build32-stamp
build32-stamp:
	$(testdir)
	rm -rf 32
	mkdir 32
	cp -p *.h *.c Makefile 32/
	$(MAKE) -C 32 "$(CROSS) -m32" DEBCFLAGS="$(DEBCFLAGS)"
	touch build32-stamp

build64: build64-stamp
build64-stamp:
	$(testdir)
	rm -rf 64
	mkdir 64
	cp -p *.h *.c Makefile 64/
	$(MAKE) -C 64 CC="$(CC64)" DEBCFLAGS="$(DEBCFLAGS)"
	touch build64-stamp


clean:
	$(testdir)
	rm -f build*-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf 32 64
	rm -f debian/substvars debian/files bzip2.info*
	rm -fr debian/tmp*
	find . -name "*~" -print0 | xargs -r0 rm -f

# Build architecture-independent files here.
binary-indep: build
	$(testdir)
	$(testroot)

ifndef __NO_DOCS_PLEASE__
	# Info
	install -d debian/tmp-doc/usr/share/info
	cp bzip2.info* debian/tmp-doc/usr/share/info/
	gzip -v9 debian/tmp-doc/usr/share/info/*

	install -d debian/tmp-doc/usr/share/doc/bzip2
	install -d debian/tmp-doc/usr/share/doc/bzip2-doc
	cp *.ps *.html *.texi debian/tmp-doc/usr/share/doc/bzip2
	gzip -v9 debian/tmp-doc/usr/share/doc/bzip2/*.{ps,texi}
	for i in debian/tmp-doc/usr/share/doc/bzip2/*.{ps.gz,texi.gz,html}; do \
	  b=$$(basename $$i); \
	  ln -sf ../bzip2/$$b debian/tmp-doc/usr/share/doc/bzip2-doc/$$b; \
	done

	cp debian/changelog \
	  debian/tmp-doc/usr/share/doc/bzip2-doc/changelog.Debian
	gzip -v9 debian/tmp-doc/usr/share/doc/bzip2-doc/changelog*
	cp debian/copyright debian/tmp-doc/usr/share/doc/bzip2-doc/

	# Doc-base support
	install -d debian/tmp-doc/usr/share/doc-base
	cp debian/docbase debian/tmp-doc/usr/share/doc-base/bzip2

	# Control files
	install -d debian/tmp-doc/DEBIAN

	dpkg-gencontrol -isp -Pdebian/tmp-doc -pbzip2-doc

	for i in doc; do \
	  cp debian/postinst-$$i debian/tmp-$$i/DEBIAN/postinst; \
	  cp debian/prerm-$$i debian/tmp-$$i/DEBIAN/prerm; \
	  chmod +x debian/tmp-$$i/DEBIAN/postinst; \
	  chmod +x debian/tmp-$$i/DEBIAN/prerm; \
	done

	# Fix perms
	chown -R root.root debian/tmp-doc
	chmod -R a+rX-wts,u+w debian/tmp-doc

	# Buildit
	dpkg --build debian/tmp-doc ..
endif

# Build architecture-dependent files here.
binary-arch: build
	$(testdir)
	$(testroot)
	rm -fr debian/tmp*
	install -d debian/tmp/usr

	$(MAKE) PREFIX=`pwd`/debian/tmp install

	### Split

ifndef __NO_LIBS_PLEASE__
	# Development package
	install -d debian/tmp-dev/usr/lib
	rm debian/tmp/lib/libbz2.so
	ln -s /lib/libbz2.so.1.0 debian/tmp-dev/usr/lib/libbz2.so
	mv debian/tmp/lib/libbz2.a debian/tmp-dev/usr/lib/
	mv debian/tmp/include debian/tmp-dev/usr/include
	

	# Library package
	install -d debian/tmp-lib/lib
	for i in $$(ls debian/tmp/lib/libbz2.so*); do \
	  (set -x; echo $$i; mv $$i debian/tmp-lib/lib/); \
	done
	ln -s libbz2.so.1.0.4 debian/tmp-lib/lib/libbz2.so.1
	chmod -x debian/tmp-lib/lib/*
else
	rm -f debian/tmp/lib/libbz2.a
	rm -rf debian/tmp/include

	for i in $$(ls debian/tmp/lib/libbz2.so*); do \
	  (set -x; echo $$i; rm -f $$i); \
	done
endif

	# Binary package
	install -d debian/tmp-run
	mv debian/tmp/bin debian/tmp-run/bin
	ln -sf bzdiff debian/tmp-run/bin/bzcmp
	ln -sf bzgrep debian/tmp-run/bin/bzegrep
	ln -sf bzgrep debian/tmp-run/bin/bzfgrep
	ln -sf bzmore debian/tmp-run/bin/bzless
ifndef __NO_DOCS_PLEASE__
	install -d debian/tmp-run/usr/share
	mv debian/tmp/man debian/tmp-run/usr/share/man
else
	rm -rf debian/tmp/man
endif
	mkdir -p debian/tmp-run/usr/share/icons/hicolor/26x26/mimetypes \
		debian/tmp-run/usr/share/icons/hicolor/48x48/mimetypes \
		debian/tmp-run/usr/share/icons/hicolor/64x64/mimetypes \
		debian/tmp-run/usr/share/mime/packages
	uudecode debian/bzip-26.b64 -o debian/tmp-run/usr/share/icons/hicolor/26x26/mimetypes/application-x-bzip.png
	uudecode debian/bzip-48.b64 -o debian/tmp-run/usr/share/icons/hicolor/48x48/mimetypes/application-x-bzip.png
	uudecode debian/bzip-64.b64 -o debian/tmp-run/usr/share/icons/hicolor/64x64/mimetypes/application-x-bzip.png
	ln -s application-x-bzip.png debian/tmp-run/usr/share/icons/hicolor/26x26/mimetypes/application-x-bzip2.png
	ln -s application-x-bzip.png debian/tmp-run/usr/share/icons/hicolor/48x48/mimetypes/application-x-bzip2.png
	ln -s application-x-bzip.png debian/tmp-run/usr/share/icons/hicolor/64x64/mimetypes/application-x-bzip2.png
	ln -s application-x-bzip.png debian/tmp-run/usr/share/icons/hicolor/26x26/mimetypes/application-x-bzip-compressed-tar.png
	ln -s application-x-bzip.png debian/tmp-run/usr/share/icons/hicolor/48x48/mimetypes/application-x-bzip-compressed-tar.png
	ln -s application-x-bzip.png debian/tmp-run/usr/share/icons/hicolor/64x64/mimetypes/application-x-bzip-compressed-tar.png
	install -m 0644 debian/bzip2.xml debian/tmp-run/usr/share/mime/packages/bzip2.xml

	### Check the install
	test "$$(find debian/tmp ! -type d -print | wc -l)" -eq 0
	rm -fr debian/tmp

ifndef __NO_DOCS_PLEASE__
	### Finalize documentation

	# Man pages
	gzip -v9 debian/tmp-run/usr/share/man/man1/*.1
	( cd debian/tmp-run/usr/share/man/man1 && \
	  for i in bunzip2 bzcat bzip2recover; do \
	    ln -s bzip2.1.gz $$i.1.gz; \
	  done )

	# Other docs in lib package
	install -d debian/tmp-run/usr/share/doc/bzip2
	cp CHANGES debian/tmp-run/usr/share/doc/bzip2/changelog
	cp debian/changelog \
	  debian/tmp-run/usr/share/doc/bzip2/changelog.Debian
	gzip -v9 debian/tmp-run/usr/share/doc/bzip2/changelog*
	cp debian/copyright debian/tmp-run/usr/share/doc/bzip2/
endif

	# Library package
ifndef __NO_DOCS_PLEASE__
	install -d debian/tmp-lib/usr/share/doc/libbz2-1.0
	cp debian/copyright debian/tmp-lib/usr/share/doc/libbz2-1.0/
	cp CHANGES debian/tmp-lib/usr/share/doc/libbz2-1.0/changelog
	cp debian/changelog \
	  debian/tmp-lib/usr/share/doc/libbz2-1.0/changelog.Debian
	gzip -v9 debian/tmp-lib/usr/share/doc/libbz2-1.0/changelog*

	# Other packages point to libbz2-1.0
	install -d debian/tmp-dev/usr/share/doc
