## bzip2 1.0.4-2maemo2

=== debian/changelog ===
bzip2 (1.0.4-2maemo2) diablo; urgency=low

  * Increased version number to force builder to re-index the package

 -- Andrew Zabolotny <zap@homelink.ru>  Sat, 09 Aug 2008 18:00:44 +0400
