## bzip2 1.0.4-2maemo4

=== debian/changelog ===
bzip2 (1.0.4-2maemo4) diablo; urgency=low

  * Removed dependency of shared-mime-info and libgtk2.0-bin.
    Instead, follow the Debian packaging policy - check first
    if the respective tools exist and use them only if they do.

 -- Andrew Zabolotny <zap@homelink.ru>  Sat,  9 Aug 2008 23:46:24 +0400

bzip2 (1.0.4-2maemo3) diablo; urgency=low

  * Damnit, gtk-update-icon-cache is not in the default autobuilder
    environment!

 -- Andrew Zabolotny <zap@homelink.ru>  Sat,  9 Aug 2008 20:03:50 +0400
