## bzip2 1.0.4-2maemo5

=== debian/changelog ===
bzip2 (1.0.4-2maemo5) diablo; urgency=low

  * Added the -t option to gtk-update-icon-cache since in a empty
    scratchbox installation gtk-update-icon-cache is present, but icon
    cache has not been created...

 -- Andrew Zabolotny <zap@homelink.ru>  Mon, 11 Aug 2008 22:39:55 +0400
