=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Priority: optional
 Section: user/tools
 Architecture: any
-Depends: libbz2-1.0, shared-mime-info
+Depends: libbz2-1.0
 Replaces: libbz2 (<<0.9.5d-3)
 Description: high-quality block-sorting file compressor - utilities
  bzip2 is a freely available, patent free, high-quality data compressor.
